Subject: Re: [X2Go-Dev] X2Go issue (in src:x2goclient) has been marked as pending for release

From: Mihai Moldovan <[email-masked]>
Date: Wed, 10 Jun 2015 15:14:02 +0200

On 09.06.2015 06:51 PM, Florian Wicke - Hetzner Online AG wrote:
> Unfortunately the fix made it worse in regards of behaviour:
> 
> With the latest nightly x2goclient i get the error message "scdaemon
> started but crashed" all the time with no smartcard present.
> 
> Manually invoking scdaemon with "--multi-server" works just fine
> 
> Looks like you handle the "soft-error" below of scdaemon as critical error:
> "scdaemon[10084]: PC/SC OPEN failed: no service (0x8010001d)
> 
> And thus, exiting the x2goclient if no smartcard is present
> 
> 
> 
> Expected behaviour: as before - let the client wait for smartcards to be
> plugged in/become available without terminating the client.

The latest commit (binary builds running and will be published in a few hours)
should fix this new issue.

Mihai